unit VendeItem3d;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, Mask;

type
  TFormVendeItem3 = class(TForm)
    Label1: TLabel;
    Edit1: TEdit;
    Label2: TLabel;
    Label3: TLabel;
    ComboBox1: TComboBox;
    GroupBox2: TGroupBox;
    RB_TipoTaxa_acrescimo: TRadioButton;
    RB_TipoTaxa_desconto: TRadioButton;
    MaskEdit3: TMaskEdit;
    BitBtn1: TBitBtn;
    MemoDescricao: TMemo;
    MaskEdit1: TMaskEdit;
    Label4: TLabel;
    Label5: TLabel;
    MaskEdit2: TMaskEdit;
    procedure FormShow(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormVendeItem3: TFormVendeItem3;

implementation

uses principal, funcoesapoio, declaracoes;

{$R *.dfm}

procedure TFormVendeItem3.FormShow(Sender: TObject);
var i:integer;
begin
        CapturaDadosProgamadosECF(1); // Captura Alíquotas ICMS
        for i:=1 to 20 do begin
                if not (Aliquotas_ICMS_ISS[i].taxa='') then
                        Combobox1.Items.ADD(Aliquotas_ICMS_ISS[i].taxa);
        end;
        Combobox1.Items.ADD('FF');
        Combobox1.Items.ADD('II');
        Combobox1.Items.ADD('NN');
        Combobox1.Items.ADD('FS');
        Combobox1.Items.ADD('IS');
        Combobox1.Items.ADD('NS');
        Edit1.Setfocus;
        ComboBox1.Text:=Aliquotas_ICMS_ISS[1].taxa;

        VerificaRetornoFuncao(Resposta);
end;

procedure TFormVendeItem3.BitBtn1Click(Sender: TObject);
begin
        FormPrincipal.CodigoItem:=Edit1.Text;
        FormPrincipal.DescricaoItem:=MemoDescricao.Text;
        FormPrincipal.AliquotaItem:=ComboBox1.Text;
        FormPrincipal.QtdeItem:=MaskEdit1.Text;
        FormPrincipal.UnitarioItem:=MaskEdit2.text;
        if Rb_TipoTaxa_Acrescimo.checked then FormPrincipal.TipoDescontoItem:='A'
        else FormPrincipal.TipoDescontoItem:='D';
        FormPrincipal.TaxaItem:=MaskEdit3.Text;

        if not ((FormPrincipal.CodigoItem = #0) or (FormPrincipal.DescricaoItem = #0) or
                (FormPrincipal.AliquotaItem = #0) or
                (FormPrincipal.QtdeItem = #0) or
                (FormPrincipal.UnitarioItem = #0) or (FormPrincipal.TipoDescontoItem = #0) or
                (FormPrincipal.DescontoItem = #0)) then begin
                FormPrincipal.Statusbar1.Panels[0].Text:='Vende Item 3 decimais'; WaitProcess;

                Resposta:=ECF_VendeItemTresDecimais(FormPrincipal.CodigoItem, FormPrincipal.DescricaoItem, FormPrincipal.AliquotaItem,  FormPrincipal.QtdeItem, FormPrincipal.UnitarioItem, FormPrincipal.TipoDescontoItem, FormPrincipal.TaxaItem);

                FormPrincipal.Memo1.Lines.Add('');
                FormPrincipal.Memo1.Lines.Add('Vende Item 3 decimais:'+inttostr(Resposta));
                FormPrincipal.Memo1.Lines.Add('');

                VerificaRetornoFuncao(Resposta);
                Refresh;
        end;
end;

procedure TFormVendeItem3.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
        HabilitaDesabilitaItensMenu(1);// Habilita os menus
        FormPrincipal.cursor:=crDefault;
end;

end.
